#ifndef ECHOES_UI_H
#define ECHOES_UI_H

void echoes_ui_server_add(Echoes *echoes, const char *server, Echoes_Server *es);
void echoes_ui_server_del(Echoes *echoes, Echoes_Server *es);
const char *echoes_ui_user_msg_get(Echoes *echoes);
Echoes_Server *echoes_ui_server_get(Echoes *echoes);
void echoes_ui_server_show(Echoes_Server *es);
void echoes_ui_user_msg_clear(Echoes *echoes);
void echoes_ui_user_msg_set(Echoes *echoes, const char *msg);
void echoes_ui_nick_set(Echoes_Server *es, const char *nick);
void echoes_ui_serv_msg(Echoes_Server *es, char *msg);
void echoes_ui_chan_msg(Echoes_Server *es, const char *nick, const char *msg);
void echoes_ui_join_msg(Echoes_Server *es, char *nick, char *user);
void echoes_ui_part_msg(Echoes_Server *es, char *nick, char *user, char *msg);
void echoes_ui_nick_msg(Echoes_Server *es, const char *old_nick, const char *new_nick);
void echoes_ui_kick_msg(Echoes_Server *es, char *op, char *nick, char *msg);
void echoes_ui_names_msg(Echoes_Server *es);
void echoes_ui_invite_msg(Echoes_Server *es, char *chan, char *op, char *nick);
void echoes_ui_quit_msg(Echoes_Server *es, const char *nick, const char *msg);
void echoes_ui_mode_msg(Echoes_Server *es, const char *src, const char *mode, const char *nick);
void echoes_ui_direct_write_txt(Echoes_Server *es, const char *txt);
void echoes_ui_nick_fill(Echoes *echoes, Ecore_List *nicks);
void echoes_ui_nick_switch(Echoes *echoes, const char *old_nick, const char *new_nick);
void echoes_ui_nick_add(Echoes *echoes, const char *nick);
int  echoes_ui_nick_del(Echoes *echoes, const char *nick);
void echoes_ui_topic_set(Echoes_Server *es, char *topic);
void echoes_ui_topic_end_set(Echoes_Server *es, char *nick, time_t date);

void echoes_ui_server_name_update(Echoes_Server *es);
void echoes_ui_server_tree_notif(Echoes_Server *es, Echoes_Server_Status status);
#endif /* ECHOES_UI_H */
